CREATE TABLE `{table_prefix}blocks` (
  `id` smallint(9) NOT NULL,
  `side` varchar(100) collate latin1_general_ci NOT NULL,
  `name` varchar(100) collate latin1_general_ci NOT NULL,
  `title` varchar(100) collate latin1_general_ci NOT NULL,
  `contain` text collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `visible` varchar(9) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}blocks` (`id`, `side`, `name`, `title`, `contain`, `lang`, `visible`) VALUES 
(1, 'left', 'menu', '', '', '', '1'),
(2, 'left', 'search', '', '', '', '1'),
(3, 'left', 'clock', '', '', '', '1'),
(4, 'left', 'statistic', '', '', '', '1'),
(1, 'right', 'langmenu', '', '', '', '1'),
(2, 'right', 'poll', '', '', '', '1'),
(3, 'right', 'gallery', '', '', '', '0');

CREATE TABLE `{table_prefix}draft` (
  `id` smallint(9) NOT NULL auto_increment,
  `msgto` varchar(999) collate latin1_general_ci NOT NULL,
  `msgfrom` varchar(999) collate latin1_general_ci NOT NULL,
  `subject` varchar(999) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}gallery` (
  `id` smallint(9) NOT NULL,
  `image` varchar(999) collate latin1_general_ci NOT NULL,
  `img_width` smallint(6) NOT NULL,
  `img_height` smallint(6) NOT NULL,
  `tip` varchar(999) collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `visible` smallint(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `{table_prefix}groups` (
  `id` tinyint(4) NOT NULL,
  `name` varchar(99) collate latin1_general_ci NOT NULL,
  `default` tinyint(4) NOT NULL,
  `welcome` tinyint(4) NOT NULL,
  `admin` tinyint(4) NOT NULL,
  `moderate` tinyint(4) NOT NULL,
  `user` tinyint(4) NOT NULL,
  `weblog` tinyint(4) NOT NULL,
  `messages` tinyint(4) NOT NULL,
  `advancededitor` tinyint(4) NOT NULL,
  `attachment` tinyint(4) NOT NULL,
  `logout` tinyint(4) NOT NULL,
  `stars` tinyint(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}groups` (`id`, `name`, `default`, `welcome`, `admin`, `moderate`, `user`, `weblog`, `messages`, `advancededitor`, `attachment`, `logout`, `stars`) VALUES 
(1, 'Administrator', 1, 1, 1, 0, 1, 0, 1, 1, 1, 1, 5),
(2, 'Moderator', 1, 0, 0, 1, 1, 0, 1, 1, 1, 1, 4),
(3, 'User', 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 3);

CREATE TABLE `{table_prefix}inbox` (
  `id` smallint(9) NOT NULL auto_increment,
  `msgto` varchar(999) collate latin1_general_ci NOT NULL,
  `msgfrom` varchar(999) collate latin1_general_ci NOT NULL,
  `subject` varchar(999) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  `isread` smallint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}languages` (
  `id` smallint(5) NOT NULL,
  `name` varchar(100) collate latin1_general_ci NOT NULL,
  `value` varchar(100) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}languages` (`id`, `name`, `value`) VALUES 
(0, 'English', 'en');

CREATE TABLE `{table_prefix}menu` (
  `id` smallint(9) NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `address` text collate latin1_general_ci NOT NULL,
  `page` varchar(999) collate latin1_general_ci NOT NULL,
  `new_window` smallint(9) NOT NULL,
  `tip` text collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `visible` smallint(9) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}menu` (`id`, `name`, `address`, `page`, `new_window`, `tip`, `lang`, `visible`) VALUES 
(1, 'Home', 'javascript:void(0);', 'home', 0, '', 'en', 1),
(2, 'Register', 'javascript:void(0);', 'register', 0, '', 'en', 1),
(3, 'Test Page', 'javascript:void(0);', '1', 0, '', 'en', 1),
(4, 'Contact us', 'javascript:void(0);', 'contact', 0, '', 'en', 1);

CREATE TABLE `{table_prefix}news` (
  `id` smallint(9) NOT NULL auto_increment,
  `title` varchar(100) collate latin1_general_ci NOT NULL,
  `pretext` text collate latin1_general_ci NOT NULL,
  `text` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  `newsgroup` smallint(9) NOT NULL,
  `releasestatus` smallint(9) NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `image` varchar(999) collate latin1_general_ci NOT NULL,
  `img_width` smallint(9) NOT NULL,
  `img_height` smallint(9) NOT NULL,
  `visits` smallint(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

INSERT INTO `{table_prefix}news` (`id`, `title`, `pretext`, `text`, `datetime`, `newsgroup`, `releasestatus`, `lang`, `image`, `img_width`, `img_height`, `visits`) VALUES 
(1, 'Limny installed successfully!', 'Limny installation completed successfully.', '', '2009-01-05 17:18:52', 1, 1, 'en', 'uploads/complete.png', 150, 150, 0);

CREATE TABLE `{table_prefix}newsgroup` (
  `id` smallint(9) NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}newsgroup` (`id`, `name`, `lang`) VALUES 
(1, 'News', 'en'),
(2, 'Article', 'en');

CREATE TABLE `{table_prefix}outbox` (
  `id` smallint(9) NOT NULL auto_increment,
  `msgto` varchar(999) collate latin1_general_ci NOT NULL,
  `msgfrom` varchar(999) collate latin1_general_ci NOT NULL,
  `subject` varchar(999) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}pages` (
  `id` smallint(9) NOT NULL auto_increment,
  `title` varchar(999) collate latin1_general_ci NOT NULL,
  `contain` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  `releasestatus` smallint(9) NOT NULL,
  `visits` smallint(9) NOT NULL,
  `view4groups` varchar(99) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

INSERT INTO `{table_prefix}pages` (`id`, `title`, `contain`, `datetime`, `releasestatus`, `visits`, `view4groups`) VALUES 
(1, 'Test Page', '<p>This page is only for testing.</p>\n<p><br /><br /><br /><br /><br /><br /><br /><br /></p>', '0000-00-00 00:00:00', 1, 47, '');

CREATE TABLE `{table_prefix}poll` (
  `id` tinyint(9) NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `value` varchar(999) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}poll` (`id`, `name`, `value`) VALUES 
(0, 'lastips', '0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0,0.0.0.0'),
(0, 'percent', '75'),
(0, 'question', 'How is Limny?'),
(1, 'Nice', '3'),
(2, 'Not bad', '1');

CREATE TABLE `{table_prefix}savebox` (
  `id` smallint(9) NOT NULL auto_increment,
  `msgto` varchar(999) collate latin1_general_ci NOT NULL,
  `msgfrom` varchar(999) collate latin1_general_ci NOT NULL,
  `subject` varchar(999) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}settings` (
  `name` varchar(100) collate latin1_general_ci NOT NULL,
  `value` varchar(999) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}settings` (`name`, `value`) VALUES 
('template', 'default'),
('language', 'en'),
('timezone', '0'),
('footer', 'Copyright &copy; 2009'),
('home', '{limny_home}'),
('gallery_rows', '4'),
('maxfilesize', '1000000'),
('uploadpath', 'uploads'),
('fileexts', 'zip,gz,tar,rar,txt,doc,pdf,jpg,jpeg,gif,png'),
('visitsnum', '1'),
('imgexts', 'jpg,jpeg,png,gif,bmp'),
('maximgsize', '1000000'),
('email', '{limny_email}'),
('description', 'Description'),
('keywords', 'Keywords'),
('poll_results', '1'),
('latestnews', '5'),
('registration', '0'),
('title_en', '{limny_title}'),
('message_en', '{limny_message}'),
('newsformation', 'single');

CREATE TABLE `{table_prefix}statistics` (
  `name` varchar(99) collate latin1_general_ci NOT NULL,
  `value` text collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

INSERT INTO `{table_prefix}statistics` (`name`, `value`) VALUES 
('online', ',127.0.0.1****1234542679++++,'),
('counter', '0,0,0,2009 02 13'),
('referers', '[NONE],[NONE],[NONE],[NONE],[NONE],[NONE],[NONE],[NONE],[NONE],[NONE]');

CREATE TABLE `{table_prefix}trash` (
  `id` smallint(9) NOT NULL auto_increment,
  `msgto` varchar(999) collate latin1_general_ci NOT NULL,
  `msgfrom` varchar(999) collate latin1_general_ci NOT NULL,
  `subject` varchar(999) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}uploads` (
  `id` smallint(9) NOT NULL auto_increment,
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `file` varchar(9999) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}userblocks` (
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `id` smallint(9) NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `title` varchar(999) collate latin1_general_ci NOT NULL,
  `contain` text collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `visible` smallint(9) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `{table_prefix}usermenus` (
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `id` smallint(9) NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `address` text collate latin1_general_ci NOT NULL,
  `page` varchar(999) collate latin1_general_ci NOT NULL,
  `new_window` smallint(9) NOT NULL,
  `tip` varchar(999) collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `visible` smallint(9) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `{table_prefix}usernews` (
  `id` smallint(9) NOT NULL auto_increment,
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `title` varchar(100) collate latin1_general_ci NOT NULL,
  `pretext` text collate latin1_general_ci NOT NULL,
  `text` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  `newsgroup` smallint(9) NOT NULL,
  `releasestatus` smallint(9) NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL,
  `image` varchar(999) collate latin1_general_ci NOT NULL,
  `img_width` smallint(9) NOT NULL,
  `img_height` smallint(9) NOT NULL,
  `visits` smallint(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}usernewsgroup` (
  `id` smallint(9) NOT NULL,
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `lang` varchar(9) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `{table_prefix}userpages` (
  `user` varchar(99) collate latin1_general_ci NOT NULL,
  `id` smallint(9) NOT NULL auto_increment,
  `title` varchar(999) collate latin1_general_ci NOT NULL,
  `contain` text collate latin1_general_ci NOT NULL,
  `datetime` datetime NOT NULL,
  `releasestatus` smallint(9) NOT NULL,
  `visits` smallint(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

CREATE TABLE `{table_prefix}users` (
  `id` smallint(9) NOT NULL auto_increment,
  `user` varchar(100) collate latin1_general_ci NOT NULL,
  `pass` varchar(100) collate latin1_general_ci NOT NULL,
  `fname` varchar(999) collate latin1_general_ci NOT NULL,
  `lname` varchar(999) collate latin1_general_ci NOT NULL,
  `email` varchar(999) collate latin1_general_ci NOT NULL,
  `tel` varchar(999) collate latin1_general_ci NOT NULL,
  `mobile` varchar(999) collate latin1_general_ci NOT NULL,
  `address` varchar(999) collate latin1_general_ci NOT NULL,
  `lang` varchar(100) collate latin1_general_ci NOT NULL,
  `template` varchar(100) collate latin1_general_ci NOT NULL,
  `regdate` datetime NOT NULL,
  `lastlogin` datetime NOT NULL,
  `lastip` varchar(100) collate latin1_general_ci NOT NULL,
  `usergroup` varchar(999) collate latin1_general_ci NOT NULL,
  `timezone` varchar(9) collate latin1_general_ci NOT NULL,
  `show2all` tinyint(4) NOT NULL,
  `avatar` varchar(999) collate latin1_general_ci NOT NULL,
  `online` tinyint(4) NOT NULL,
  `ban` tinyint(4) NOT NULL,
  `uploadsize` varchar(100) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

INSERT INTO `{table_prefix}users` (`id`, `user`, `pass`, `fname`, `lname`, `email`, `tel`, `mobile`, `address`, `lang`, `template`, `regdate`, `lastlogin`, `lastip`, `usergroup`, `timezone`, `show2all`, `avatar`, `online`, `ban`, `uploadsize`) VALUES 
(1, '{admin_user}', '{admin_pass}', '', '', '{admin_email}', '', '', '', 'en', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0.0.0.0', '1', '0', 1, '', 0, 0, '1000000');

CREATE TABLE `{table_prefix}usersettings` (
  `user` varchar(999) collate latin1_general_ci NOT NULL,
  `name` varchar(999) collate latin1_general_ci NOT NULL,
  `value` varchar(999) collate latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;